AWSTemplateFormatVersion: "2010-09-09"
Transform: AWS::Serverless-2016-10-31
Description: >
  This is a Node.js lambda to issue a HCE certificate
# More info about Globals: https://github.com/awslabs/serverless-application-model/blob/master/docs/globals.rst
Globals:
  Function:
    Timeout: 60
Resources:
  lambda:
    Type: AWS::Serverless::Function # More info about Function Resource: https://github.com/awslabs/serverless-application-model/blob/master/versions/2016-10-31.md#awsserverlessfunction
    Properties:
      CodeUri: ../
      Handler: dist/src/index.handler
      Runtime: nodejs20.x
      Events:
        Api:
          Type: HttpApi
          Properties:
            Path: /v2/issue-certificate
            Method: POST
      Environment:
        Variables:
          NODE_ENV: !Ref nodeEnv
          outBoundApiTimeout: !Ref outBoundApiTimeout
          logApiRequestAndResponse: !Ref logApiRequestAndResponse
          PARAMETERS_SECRETS_EXTENSION_HTTP_HOST: !Ref parametersSecretsExtensionHttpHost
Parameters:
  nodeEnv:
    Type: String
  outBoundApiTimeout:
    Type: String
  logApiRequestAndResponse:
    Type: String
  parametersSecretsExtensionHttpHost:
    Type: String